package com.bonus.canteen.core.autth.role.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@TableName("mgr_role_org")
@ApiModel("角色组织表")
@Data
public class MgrRoleOrg implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("角色ID")
   private Long roleId;
   @ApiModelProperty("组织ID")
   private Long orgId;
   @ApiModelProperty("节点状态：1全选；2半选")
   private Integer halfSelect;

   public Long getRoleId() {
      return this.roleId;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public Integer getHalfSelect() {
      return this.halfSelect;
   }

   public MgrRoleOrg setRoleId(final Long roleId) {
      this.roleId = roleId;
      return this;
   }

   public MgrRoleOrg setOrgId(final Long orgId) {
      this.orgId = orgId;
      return this;
   }

   public MgrRoleOrg setHalfSelect(final Integer halfSelect) {
      this.halfSelect = halfSelect;
      return this;
   }




}
